Summary:	A Burgertime(TM) clone
Name: 		burgerspace
Version: 	1.10.0
Release: 	%mkrel 2
License:	GPLv2+
Group:		Games/Arcade
URL:		http://perso.b2b2c.ca/~sarrazip/dev/burgerspace.html
Source:		http://perso.b2b2c.ca/~sarrazip/dev/%{name}-%{version}.tar.gz
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(flatzebra-0.2) >= 0.2.0

%description
Clone of the Burgertime video game.  You are a chef that must walk
over hamburger ingredients in a maze while avoiding enemies.

Use the arrow keys to move, the left Ctrl key to throw pepper, and
P to pause the game and resume it. The Escape key quits the game.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

#icon
for png in 16x16 32x32 48x48; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$png/apps
done
bzcat %{SOURCE1} > %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
bzcat %{SOURCE2} > %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
bzcat %{SOURCE3} > %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -fr %buildroot%_defaultdocdir/%name-*


%files
%doc AUTHORS NEWS README THANKS
%license COPYING
%{_gamesbindir}/burgerspace*
%{_datadir}/%{name}/
%{_mandir}/man6/burgerspace*.6*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%_datadir/applications/*.desktop
%_datadir/pixmaps/%{name}/
%_datadir/pixmaps/*.png


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.10.0-2.mga10
+ Revision: 2230760
- Mageia 10 Mass Rebuild

* Tue Dec 03 2024 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 2120743
- new version: 1.10.0
- switch to sdl2

* Wed Dec 14 2022 daviddavid <daviddavid> 1.9.5-1.mga9
+ Revision: 1922538
- new version: 1.9.5

* Sat Apr 02 2022 umeabot <umeabot> 1.9.4-2.mga9
+ Revision: 1840545
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 mrambo3501 <mrambo3501> 1.9.4-1.mga9
+ Revision: 1768452
- version 1.9.4

* Wed Feb 12 2020 umeabot <umeabot> 1.9.2-10.mga8
+ Revision: 1510817
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.9.2-9.mga7
+ Revision: 1295747
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 1.9.2-8.mga7
+ Revision: 1243502
- fix build on aarch64

* Fri Mar 23 2018 kekepower <kekepower> 1.9.2-7.mga7
+ Revision: 1211623
- Use new make macro

* Sun Jan 17 2016 daviddavid <daviddavid> 1.9.2-6.mga6
+ Revision: 924865
- switch to %%configure2_5x to fix build

* Tue Sep 01 2015 cjw <cjw> 1.9.2-5.mga6
+ Revision: 871947
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.9.2-4.mga5
+ Revision: 743420
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.2-3.mga5
+ Revision: 678251
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.9.2-2.mga4
+ Revision: 522588
- Mageia 4 Mass Rebuild

* Wed Mar 20 2013 malo <malo> 1.9.2-1.mga3
+ Revision: 404158
- new version 1.9.2

* Fri Jan 11 2013 umeabot <umeabot> 1.9.1-2.mga3
+ Revision: 347230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 malo <malo> 1.9.1-1.mga3
+ Revision: 275532
- update to 1.9.1

* Sun Mar 04 2012 malo <malo> 1.9.0-1.mga2
+ Revision: 217667
- update to 1.9.0 after import from Mandriva
- imported package burgerspace


* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.3-2mdv2010.0
+ Revision: 399810
- fix dependencies
- spec cleanup

* Fri May 15 2009 Samuel Verschelde <stormi@mandriva.org> 1.8.3-1mdv2010.0
+ Revision: 376196
- new version 1.8.3
- fix licence
- remove redundant desktop file
- add requires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 1.8.2-1mdv2008.1
+ Revision: 138360
- New release

  + Nicolas Vigier <nvigier@mandriva.com>
    - fix URL

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.8.1-1mdv2008.1
+ Revision: 132294
- auto-convert XDG menu entry
- fix build
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- fix hardcoded man page extension
- import burgerspace


* Thu May 05 2005 Marcel Pol <mpol@mandriva.org> 1.8.1-1mdk
- 1.8.1
- adjust buildrequires

* Sat Aug 28 2004 Marcel Pol <mpol@mandrake.org> 1.8.0-4mdk
- rebuild to fix menu (#11013)

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 1.8.0-3mdk
- rebuild

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 1.8.0-2mdk
- buildrequires

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0

* Thu Jan 23 2003 Marcel Pol <mpol@gmx.net> 1.7.1-1mdk
- 1.7.1

* Tue Jan 15 2002 Marcel Pol <mpol@gmx.net> 1.6-1mdk
- Mandrake build
- s/Copyright/License
- BuildRequires libgengameng4-devel libSDL1.2-devel libSDL_image1.2
- added menu-entry with icons
 
